Linux/Ubuntu2012. 6. 7. 22:19
원인불명(?)으로 외장 하드 연결시 웹서버에서 보이지 않는 문제가 있어 확인해봤더니
rwx------ 로 mount 되는 현상발견..

sudo chmod 777 해도 변경이 안되고 이래저래 테스트 해보진 못했지만,
udev 에서 자동인식해서 automount 하면서 umask 식으로 0077 이 되어있는 식의 내용 발견.
테스트는 조만간 해봐야겠다.

[링크 :  http://askubuntu.com/.../17540/how-do-i-set-executable-permissions-on-a-removable-drive/17550]


---
2012.6.8 추가
일단 ubuntu 12.04 LTS desktop 에서는 적용되지 않음 -_- 
Posted by 구차니
Linux/Ubuntu2012. 6. 7. 07:56
rutorrent는 rtorrent의 webUI GUI frontend이다.
간단하게 토런토 프로그램을 웹서버를 통해 원격에서 볼수있게 해주는 역활을 한다.

패키지 설치 및 삭제
$ sudo apt-get remove libxmlrpc-c*
$ sudo apt-get install subversion gcc apache2 curl libcurl4-openssl-dev automake autoconf texinfo libapache2-mod-scgi build-essential libtool openssl libsigc++-2.0-dev libncurses-dev libcppunit-dev php5

xmlrpc-c 다운로드 및 설치(svn)
$ svn co http://xmlrpc-c.svn.sourceforge.net/svnroot/xmlrpc-c/advanced xmlrpc-c
$ cd xmlrpc-c
$ ./configure
$ make
$ sudo make install

왜 하는진 모르겠지만 libxmlrpc 설치
$ sudo apt-get install libxmlrpc-c3-dev

아파치 모듈 삽입
$ sudo a2enmod scgi

아파치 환경설정 추가
$sudo vi /etc/apache2/httpd.conf
SCGIMount /RPC2 127.0.0.1:5000

아파치 재시작
$ sudo service apache2 restart

rtorrent 및 php5-cgi 설치
$ sudo apt-get install rtorrent php5-cgi

데몬을 위한 screen 프로그램 설치
$ sudo apt-get install screen
 
[링크 : http://s990we.com/wordpress/2010/10/install-xmlrpc-c-libtorrent-rtorrent-and-rutorrent-from-svn-2/ ] 

rtorrent에서 세션용으로 저장할 디렉토리를 생성해주고
$ cd ~
$ mkdir .rtsession

그리고 rtorrent 환경설정 파일에 각종 정보를 수정해 준다.
$ cat .rtorrent.rc 
# This is an example resource file for rTorrent. Copy to
# ~/.rtorrent.rc and enable/modify the options as needed. Remember to
# uncomment the options you wish to enable.

# Maximum and minimum number of peers to connect to per torrent.
#min_peers = 40
#max_peers = 100

# Same as above but for seeding completed torrents (-1 = same as downloading)
#min_peers_seed = 10
#max_peers_seed = 50

# Maximum number of simultanious uploads per torrent.
#max_uploads = 15

# Global upload and download rate in KiB. "0" for unlimited.
#download_rate = 0
#upload_rate = 0

# Default directory to save the downloaded torrents.
directory = /home/minimonk/다운로드

# Default session directory. Make sure you don't run multiple instance
# of rtorrent using the same session directory. Perhaps using a
# relative path?
session = /home/minimonk/.rtsession
scgi_port = localhost:5000

# Watch a directory for new torrents, and stop those that have been
# deleted.
#schedule = watch_directory,5,5,load_start=./watch/*.torrent
#schedule = untied_directory,5,5,stop_untied=

# Close torrents when diskspace is low.
#schedule = low_diskspace,5,60,close_low_diskspace=100M

# Stop torrents when reaching upload ratio in percent,
# when also reaching total upload in bytes, or when
# reaching final upload ratio in percent.
# example: stop at ratio 2.0 with at least 200 MB uploaded, or else ratio 20.0
#schedule = ratio,60,60,"stop_on_ratio=200,200M,2000"

# The ip address reported to the tracker.
#ip = 127.0.0.1
#ip = rakshasa.no

# The ip address the listening socket and outgoing connections is
# bound to.
#bind = 127.0.0.1
#bind = rakshasa.no

# Port range to use for listening.
#port_range = 6890-6999

# Start opening ports at a random position within the port range.
#port_random = no

# Check hash for finished torrents. Might be usefull until the bug is
# fixed that causes lack of diskspace not to be properly reported.
#check_hash = no

# Set whetever the client should try to connect to UDP trackers.
#use_udp_trackers = yes

# Alternative calls to bind and ip that should handle dynamic ip's.
#schedule = ip_tick,0,1800,ip=rakshasa
#schedule = bind_tick,0,1800,bind=rakshasa

# Encryption options, set to none (default) or any combination of the following:
# allow_incoming, try_outgoing, require, require_RC4, enable_retry, prefer_plaintext
#
# The example value allows incoming encrypted connections, starts unencrypted
# outgoing connections but retries with encryption if they fail, preferring
# plaintext to RC4 encryption after the encrypted handshake
#
# encryption = allow_incoming,enable_retry,prefer_plaintext

# Enable DHT support for trackerless torrents or when all trackers are down.
# May be set to "disable" (completely disable DHT), "off" (do not start DHT),
# "auto" (start and stop DHT as needed), or "on" (start DHT immediately).
# The default is "off". For DHT to work, a session directory must be defined.
# dht = auto

# UDP port to use for DHT. 
# dht_port = 6881

# Enable peer exchange (for torrents not marked private)
#
# peer_exchange = yes

#
# Do not modify the following parameters unless you know what you're doing.
#

# Hash read-ahead controls how many MB to request the kernel to read
# ahead. If the value is too low the disk may not be fully utilized,
# while if too high the kernel might not be able to keep the read
# pages in memory thus end up trashing.
#hash_read_ahead = 10

# Interval between attempts to check the hash, in milliseconds.
#hash_interval = 100

# Number of attempts to check the hash while using the mincore status,
# before forcing. Overworked systems might need lower values to get a
# decent hash checking rate.
#hash_max_tries = 10 

rutorrent를 설치해서 하는데 영 먼가 안되고 배를 째는데
[22.03.2011 17:42:45] WebUI started.
[22.03.2011 17:42:45] JS error: [http://cinemaverite.net/rutorrent/ : 1] Uncaught SyntaxError: Unexpected token <
[22.03.2011 17:42:45] Bad response from server: (200 [parsererror,getuisettings]) <?php require_once( &#39;util.php&#39; ); $s = @file_get_contents(getSettingsPath()."/uisettings.json"); if($s==false) $s = &#39;{}&#39;; if(!ini_get("zlib.output_compression")) header("Content-Length: ".strlen($s)); header("Content-Type: application/json; charset=UTF-8"); echo $s; ?>

[링크 : http://forums.rutorrent.org/index.php?topic=701.0

혹시나 해서 json이 문제인가 해서 php5-json을 해보니 php5-common으로 이미 설치 된 녀석이고
php5-cgi를 설치하고 나니 문제가 없이 되는 듯한 느낌..

그리고 그냥 실행하면 접속할 수 없다고 포트번호 확인하라는데
콘솔하나 열고 그냥 rtorrent 실행하면 문제없이 작동한다(보기에는 그렇지만)
서비스용 데몬 스크립트를 일단 똭~
사용자 계정만 수정해주고 rtorrent 환경파일만 수정해주면 될 듯?
(아직까지 데몬 스크립트는 실행이 안됨 ㅠ.ㅠ)
#!/bin/bash
#############
###<Notes>###
#############
# This script depends on screen.
# For the stop function to work, you must set an
# explicit session directory using absolute paths (no, ~ is not absolute) in your rtorrent.rc.
# If you typically just start rtorrent with just "rtorrent" on the
# command line, all you need to change is the "user" option.
# Attach to the screen session as your user with 
# "screen -dr rtorrent". Change "rtorrent" with srnname option.
# Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com
##############
###</Notes>###
##############

#######################
##Start Configuration##
#######################
# You can specify your configuration in a different file 
# (so that it is saved with upgrades, saved in your home directory,
# or whatever reason you want to)
# by commenting out/deleting the configuration lines and placing them
# in a text file (say /home/user/.rtorrent.init.conf) exactly as you would
# have written them here (you can leave the comments if you desire
# and then uncommenting the following line correcting the path/filename 
# for the one you used. note the space after the ".".
# . /etc/rtorrent.init.conf


#Do not put a space on either side of the equal signs e.g.
# user = user 
# will not work
# system user to run as (can only use one)
user="minimonk"

# system user to run as # not implemented, see d_start for beginning implementation
# group=$(id -ng "$user")

# the full path to the filename where you store your rtorrent configuration
# must keep parentheses around the entire statement, quotations around each config file
#config=("$(su -c 'echo $HOME' $user)/.rtorrent.rc")
# Examples:
config=("/home/minimonk/.rtorrent.rc")
# config=("/home/user/.rtorrent.rc" "/mnt/some/drive/.rtorrent2.rc")
# config=("/home/user/.rtorrent.rc"
# "/mnt/some/drive/.rtorrent2.rc"
# "/mnt/another/drive/.rtorrent3.rc")

# set of options to run with each instance, separated by a new line
# must keep parentheses around the entire statement
#if no special options, specify with: ""
options=("")
# Examples:
# starts one instance, sourcing both .rtorrent.rc and .rtorrent2.rc
# options=("-o import=~/.rtorrent2.rc")
# starts two instances, ignoring .rtorrent.rc for both, and using
# .rtorrent2.rc for the first, and .rtorrent3.rc for the second
# we do not check for valid options
# options=("-n -o import=~/.rtorrent2.rc" "-n -o import=~/rtorrent3.rc")

# default directory for screen, needs to be an absolute path
base=$(su -c 'echo $HOME' $user)

# name of screen session
srnname="rtorrent"

# file to log to (makes for easier debugging if something goes wrong)
logfile="/var/log/rtorrentInit.log"
#######################
###END CONFIGURATION###
#######################

PATH=/usr/bin:/usr/local/bin:/usr/local/sbin:/sbin:/bin:/usr/sbin
DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/etc/init.d/$NAME

checkcnfg() {
  exists=0
  for i in `echo "$PATH" | tr ':' '\n'` ; do
    if [ -f $i/$NAME ] ; then
      exists=1
      break
    fi
  done
  if [ $exists -eq 0 ] ; then
    echo "cannot find $NAME binary in PATH: $PATH" | tee -a "$logfile" >&2
    exit 3
  fi
  for (( i=0 ; i < ${#config[@]} ;  i++ )) ; do
    if ! [ -r "${config[i]}" ] ; then
        echo "cannot find readable config ${config[i]}. check that it is there and permissions are appropriate"  | tee -a "$logfile" >&2
        exit 3
    fi
    session=$(getsession "${config[i]}")
    if ! [ -d "${session}" ] ; then
        echo "cannot find readable session directory ${session} from config ${config[i]}. check permissions" | tee -a "$logfile" >&2
        exit 3
    fi
  done
}

d_start() {
  [ -d "${base}" ] && cd "${base}"
  stty stop undef && stty start undef
  #su -c "screen -S "${srnname}" -X screen rtorrent ${options} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
  su -c "screen -S "${srnname}" -X screen rtorrent ${options} " ${user} | tee -a "$logfile" >&2
  # this works for the screen command, but starting rtorrent below adopts screen session gid
  # even if it is not the screen session we started (e.g. running under an undesirable gid
  #su -c "screen -ls | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "sg \"$group\" -c \"screen -fn -dm -S ${srnname} 2>&1 1>/dev/null\"" ${user} | tee -a "$logfile" >&2
  for (( i=0 ; i < ${#options[@]} ; i++ )) ;  do
    sleep 3
    #su -c "screen -S "${srnname}" -X screen rtorrent ${options[i]} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
    su -c "screen -S "${srnname}" -X screen rtorrent ${options[i]} " ${user} | tee -a "$logfile" >&2
  done
}

d_stop() {
  for (( i=0 ; i < ${#config[@]} ; i++ )) ; do
    session=$(getsession "${config[i]}")
    if ! [ -s ${session}/rtorrent.lock ] ; then
        return
    fi
    pid=$(cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g")
    # make sure the pid doesn't belong to another process
    if ps -A | grep -sq ${pid}.*rtorrent ; then
        kill -s INT ${pid}
    fi
  done
}

getsession() { 
    session=$(cat "$1" | grep "^[[:space:]]*session[[:space:]]*=" | sed "s/^[[:space:]]*session[[:space:]]*=[[:space:]]*//" )
    #session=${session/#~/`getent passwd ${user}|cut -d: -f6`}
    echo $session
}

checkcnfg

case "$1" in
  start)
    echo -n "Starting $DESC: $NAME"
    d_start
    echo "."
    ;;
  stop)
    echo -n "Stopping $DESC: $NAME"
    d_stop
    echo "."
    ;;
  restart|force-reload)
    echo -n "Restarting $DESC: $NAME"
    d_stop
    sleep 1
    d_start
    echo "."
    ;;
  *)
    echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
    exit 1
    ;;
esac

exit 0

[링크 : http://ubuntuforums.org/showthread.php?t=859543]  

[링크 : http://code.google.com/p/rutorrent/wiki/Installation ]
[링크 : http://code.google.com/p/rutorrent/wiki/WebSERVER ]
[링크 : http://code.google.com/p/rutorrent/wiki/Config ] 
[링크 : http://www.howtoforge.com/installing-cherokee-with-php5-and-mysql-support-on-ubuntu-9.04 ] cherokee 
Posted by 구차니
Linux/Ubuntu2012. 6. 2. 23:15
이것저것 뒤져봐도 안되서 별짓을 다하다 우연히 발견하게 되었는데,
/var/log/Xorg.0/log가 핵심적인 힌트를 주게 될 줄이야..

다른 설정들을 해보아도(grub의 nomodeset 이라던가) 안되는데
에러메시지를 보다보니 지금 연결된 모니터는 CRT-0 인데,
모니터를 연결하지 않고 켠다면 연결될 모니터를 알 수 없기 때문에 xwindow의 시작이 멈추게 된다.
약간의 편법(?) 이지만 만약 모니터를 CRT-0 로 인식을 시키게 되면
구형 모니터이기에 해상도 정보라던가 이런걸 돌려받지 못할수도 있어서
modes에 설정된 값으로 해상도를 설정하고 확인하지 않고 부팅을 진행하게 해주는 것으로 추측된다.

---
modes는 해주지 않아도 부팅에 문제가 없다
test 플랫폼은 리플룩 ion-330
---

$ cat /etc/X11/xorg.conf
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 295.33  (buildd@zirconium)  Fri Mar 30 13:38:49 UTC 2012

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Budzetron ANALOG"
    HorizSync       30.0 - 80.0
    VertRefresh     50.0 - 75.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "ION"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "0"
    Option         "metamodes" "1280x1024_60 +0+0"
    Option         "ConnectedMonitor" "CRT-0"
    Option         "UseDisplayDevice" "CRT-0"
    SubSection     "Display"
        Depth       24
Modes       "1280x1024"
    EndSubSection
EndSection


Posted by 구차니
Linux/Ubuntu2012. 6. 2. 21:55
so(shared object) 파일을 찾을수 없을때 발생하는 녀석으로 해결책은 두가지가 존재한다.

1. 사용자 별로 설정
$ vi ~/.bashrc
export LD_LIBRARY_PATH=[so 파일경로]
$ source ~/.bashrc  

2. 전체 시스템 설정
$ sudo vi /etc/ld.so.conf/user.conf
[so 파일경로]
$ sudo ldconfig   


'Linux > Ubuntu' 카테고리의 다른 글

rutorrent on ubuntu 12.04 LTS  (0) 2012.06.07
ubuntu 12.10 에서 모니터 없이 부팅시키기  (0) 2012.06.02
cuda 4.2 linux  (0) 2012.06.02
grub loader 날리기  (0) 2012.04.29
ubuntu 12.04 LTS released  (0) 2012.04.28
Posted by 구차니
Linux/Ubuntu2012. 6. 2. 19:06
cuda를 리눅스에 깔려니 참.. 어렵구나..
아무튼 driver는 ubuntu 12.04 LTS에서 lightgdm 서비스를 종료하고 설치해야 하는데
드라이버 설정 문제로 오작동 중이고.. -_-
toolkit의 경우는 /usr/local에 설치해야 해서 sudo를 통해 설치
sdk는 사용자 디렉토리에 설치되므로 부담없이 사용자 권한으로 설치하면 된다.

$ sudo ./cudatoolkit_4.2.9_linux_32_ubuntu11.04.run

Enter install path (default /usr/local/cuda, '/cuda' will be appended):
========================================

* Please make sure your PATH includes /usr/local/cuda/bin
* Please make sure your LD_LIBRARY_PATH
*   for 32-bit Linux distributions includes /usr/local/cuda/lib
*   for 64-bit Linux distributions includes /usr/local/cuda/lib64:/usr/local/cuda/lib
* OR
*   for 32-bit Linux distributions add /usr/local/cuda/lib
*   for 64-bit Linux distributions add /usr/local/cuda/lib64 and /usr/local/cuda/lib
* to /etc/ld.so.conf and run ldconfig as root

* Please read the release notes in /usr/local/cuda/doc/

* To uninstall CUDA, remove the CUDA files in /usr/local/cuda
* Installation Complete 

$ ./gpucomputingsdk_4.2.9_linux.run
Enter install path (default ~/NVIDIA_GPU_Computing_SDK):

Could not locate CUDA.  Enter the full path to CUDA.
If you do not know the path, accept the default and then 
modify the CUDA_INSTALL_PATH variable in
/home/minimonk/NVIDIA_GPU_Computing_SDK/C/common/common.mk.

Enter CUDA install path (default /usr/local/cuda):  

드라이버는 빡쳐서 그냥 우분투에서 관리하는 독점드라이버 사용 -_-
295.40 버전이 자동으로 설치되는것으로 보인다.(굳이 X윈도우 시작도 안되게 devdriver 깔필요 없을지도..)
$ sudo ./devdriver_4.2_linux_32_295.41.run 








Posted by 구차니
Linux/Ubuntu2012. 4. 29. 11:42
찾아보면 윈도우나 dos에서 fixmbr 등의 명령어를 이용하는게 보이지만
리눅스 유저로서! 리눅스에서 날려야! 하는 오기 발동 -_-

만약 로더만 날리고 싶다면
 $ sudo dd if=/dev/null of=/dev/sda bs=446 count=1
 $ sudo dd if=/dev/zero of=/dev/sda bs=446 count=1 

파티션까지 날리고 싶다면
 $ sudo dd if=/dev/null of=/dev/sda bs=512 count=1
 $ sudo dd if=/dev/zero of=/dev/sda bs=512 count=1 

bs(block size)의 크기를 조절해주면 되는데..
gparted에서 create partition table을 이용해서도 완전 갈아 엎을수 있는것 같은 기분이 드는건 왜일까 -_-

[링크 : http://www.cyberciti.biz/faq/linux-how-to-uninstall-grub/ ]
[링크 : http://www.linuxquestions.org/.../dd-if%3D-dev-zero-of%3D-dev-sda-bs%3D512-count%3D1-oh-noes-642006/]


---
덧. /dev/null로 할 경우 
0+0 records in 
0+0 records out
이라고 뜨면 쓰지 못한 것이니 /dev/zero로 해주면 덮어쓰기 성공!

 
Posted by 구차니
Linux/Ubuntu2012. 4. 28. 18:29
목빼고 기다리던 12.04 LTS가 드디어 나왔다!!!
머.. 4월에 나오긴했군 -_-


[링크 :  http://www.ubuntu.com/]

'Linux > Ubuntu' 카테고리의 다른 글

cuda 4.2 linux  (0) 2012.06.02
grub loader 날리기  (0) 2012.04.29
xwindow 터치스크린 축뒤집기(change swap axis)  (0) 2012.04.26
리눅스를 이용한 하드 백업 및 마운트  (0) 2012.04.23
gsmartctrl이 hdtune 보다 나은점?  (0) 2012.04.13
Posted by 구차니
Linux/Ubuntu2012. 4. 26. 20:20
mbook에 리눅스를 돌리니 좌우가 위아래로 움직이고 위아래가 좌우로 움직이는 문제가 발생 -_-
(GParted live라던가 우분투 설치시 발생)

부랴부랴 검색을 해보니 xorg.conf에서  아래의 키워드를 이용해서 설정이 가능하다고 한다.
그러고 보니 좌우가 위아래가 된건.. 
CW + swapX
CCW + swapY 이런식으로 해야 하려나?

swapX / swapY / rorate
[링크 : https://help.ubuntu.com/community/EloTouchScreen
[링크 : http://www.conan.de/touchscreen/evtouch.html]
[링크 : https://wiki.archlinux.org/index.php/Touchscreen]

'Linux > Ubuntu' 카테고리의 다른 글

grub loader 날리기  (0) 2012.04.29
ubuntu 12.04 LTS released  (0) 2012.04.28
리눅스를 이용한 하드 백업 및 마운트  (0) 2012.04.23
gsmartctrl이 hdtune 보다 나은점?  (0) 2012.04.13
wget -r 로 웹 사이트 통채로 끌어오기  (0) 2012.04.13
Posted by 구차니
Linux/Ubuntu2012. 4. 23. 17:19
dd if=/dev/sd? of=filename 으로 백업이 가능하고
mount -o loop를 이용해서 마운트 가능하다고 한다.

MBR도 백업이 가능하다는데 한번 umid 업어온김에 해봐야할듯.
(헉 히밤.. 2.2MB/s 는 너무하잖아 ㅠ.ㅠ)
[링크 : http://www.debianhelp.co.uk/ddcommand.htm]
[링크 : http://www.linuxquestions.org/questions/linux-general-1/mounting-a-dd-image-file-95579/]


dd 명령의 경우 상태를 보여주는 verbose 옵션이 없기 때문에
USR1 시그널을 kill을 통해 전송해주면서 진행상태를 볼 수 있다.
[링크 :  http://prefetch.net/blog/index.php/2006/06/11/printing-dd-status/ ] 


---
2012.3.26 추가

bs가 기본값 512(byte) 이기 때문에 느렸던듯.
bs=16M 로 설정하고 하니 10MB/s
bs=32M 로 설정하고 하니 19.4MB/s 까지 향상되었다.

[링크 :  http://linux.die.net/man/1/dd
Posted by 구차니
Linux2012. 4. 14. 21:07
듀얼코어지만 귀찮아서 하나만 잘라붙임

정상부팅(일반 커널)시 flags
$ cat /proc/cpuinfo 
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 42
model name : Intel(R) Pentium(R) CPU G840 @ 2.80GHz
stepping : 7
cpu MHz : 1600.000
cache size : 3072 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt xsave lahf_lm arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips : 5587.32
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

XEN 커널로 부팅시 flags 차이점
$ cat /proc/cpuinfo 
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 42
model name : Intel(R) Pentium(R) CPU G840 @ 2.80GHz
stepping : 7
cpu MHz : 2800.000
cache size : 3072 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 1
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu de tsc msr pae cx8 apic sep cmov pat clflush acpi mmx fxsr sse sse2 ss ht syscall nx lm constant_tsc rep_good nopl nonstop_tsc aperfmperf pni pclmulqdq est ssse3 cx16 sse4_1 sse4_2 popcnt hypervisor lahf_lm arat epb pln pts dts
bogomips : 5587.44
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

'Linux' 카테고리의 다른 글

프레임버퍼를 이용하여 캡쳐하기(/dev/fb0)  (0) 2012.07.22
리눅스를 위한 아이튠스 서버 만들기  (0) 2012.07.08
localtime() 과 mktime()을 이용하기  (0) 2012.03.27
partitionless disk  (2) 2012.01.06
sudo와 selinux  (0) 2011.12.25
Posted by 구차니